curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"keyword": "water quality",
"last_updated": "1m",
"file_formats": [
"archive",
"image"
],
"usage_rights": "noncommercial",
"is_free": true,
"topics": [
"natural_sciences",
"geo"
]
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_post"
payload = [
{
"keyword": "water quality",
"last_updated": "1m",
"file_formats": ["archive", "image"],
"usage_rights": "noncommercial",
"is_free": True,
"topics": ["natural_sciences", "geo"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
keyword: 'water quality',
last_updated: '1m',
file_formats: ['archive', 'image'],
usage_rights: 'noncommercial',
is_free: true,
topics: ['natural_sciences', 'geo']
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}设置 Google 数据集搜索任务
设置 Google Dataset Search 任务。
示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"keyword": "...", "language_name": "...", "language_code": "..."}]'
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
keyword
required field
you can specify up to 700 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”.
learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article
search engine language code
optional field
possible value:
en
parsing depth
optional field
number of results in SERP
default value: 20
max value: 700
Your account will be billed per each SERP containing up to 20 results;
Setting depth above 20 may result in additional charges if the search engine returns more than 20 results;
If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically;
device type
optional field
return results for a specific device type
possible value: desktop
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/pingscript?id=$id
http://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request
example:
http://your-server.com/postbackscript?id=$id
http://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
postback_url datatype
required field if you specify postback_url
corresponds to the datatype that will be sent to your server
only value: advanced
full name of search engine language
optional field
if you use this field, you don't need to specify language_code
possible value:
English
device operating system
optional field
possible values: windows, macos
default value: windows
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
last time the dataset was updated
optional field
possible values: 1m, 1y, 3y
file formats of the dataset
optional field
possible values: other, archive, text, image, document, tabular
usage rights of the dataset
optional field
possible values: commercial, noncommercial
indicates whether displayed datasets are free
optional field
possible values: true, false
dataset topics
optional field
possible values: humanities, social_sciences, life_sciences, agriculture, natural_sciences, geo, computer, architecture_and_urban_planning, engineering
[ { "keyword": "water quality", "last_updated": "1m", "file_formats": ["archive", "image"], "usage_rights": "noncommercial", "is_free": true, "topics": ["natural_sciences", "geo"] } ]
响应
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes